IF it is a new version, I do believe you are allowed. Other than that, no.

What you're implying based on your post is saying that it is indeed a new version.